DEVICE_POLICY_SERVICE no se puede resolver o no está archivado

Tengo un problema con este código.

if (Build.VERSION.SDK_INT >= android.os.Build.VERSION_CODES.FROYO){
    DevicePolicyManager mDPM;
    mDPM = (DevicePolicyManager)context_.getSystemService(Context.DEVICE_POLICY_SERVICE);
    mDPM.wipeData(0);
}

los errores son: FROYO can not be resolved or is not a filed en la línea 1

y DEVICE_POLICY_SERVICE can not be resolved or is not a filed en la línea 3

Tengo problemas con mis bibliotecas antes, no encontrarán por eclipse.

Para algunas pruebas, importo mis proyectos de agujeros a otra PC y allí funciona. Nuestro administrador me dijo que creara un nuevo usuario local en Windows y también lo importara allí con un nuevo espacio de trabajo, también funciona.

Cambié mi usuario de PC por uno nuevo e importé todos mis proyectos, pero ahora tengo este error para uno de ellos.

También encuentro esto en Problemas:

The method removeActiveAdmin(ComponentName) is undefined for the type DevicePolicyManager

gracias por tu ayuda.

preguntado el 03 de mayo de 12 a las 11:05

2 Respuestas

Puedo arreglarlo, parece que mi eclipse perdió la conexión con el complemento ADT. No puede usar funciones para API 8 o superior.

Después de la reinstalación desde los complementos para eclipse, vuelve a funcionar

contestado el 29 de mayo de 12 a las 07:05

Lo estoy publicando para las personas que podrían explorar esto en el futuro. Descubrí que mi problema desapareció después de cambiar el destino de Android en el project.properties archivo:

target=android-19

19 es la versión actual (más reciente) de Android disponible. Este error ocurre incluso en los ejemplos del sitio web de Android.

Respondido el 22 de junio de 14 a las 00:06

No es la respuesta que estás buscando? Examinar otras preguntas etiquetadas or haz tu propia pregunta.